Kerbal Space Program - Bug #3404

KSP crashes on OSX 10.10
10/29/2014 12:15 PM - dcw_damon

Status: Closed Start date: 10/29/2014
Severity: Normal % Done: 100%
Assignee:

Category: Application

Target version:

Version: 0.25 Language: English (US)
Platform: 0OSX Mod Related: No
Expansion:

Description

After building a space ship, or | want do go from the launch pad to the VAB, it crashes without any crash log.

History

#1 - 10/29/2014 12:29 PM - dcw_damon

Mac info:

MacBook Pro (Retina, 15-inch, Early 2013)
- 2,4 GHz Intel Core i7

-8 GB Ram

- NVIDIA GeForce GT 650M 1024MB
Version: OS X Yosemite 10.10

KSP Version: 0.25

Modded: No

#2 - 11/02/2014 10:08 AM - mangecoeur

Same problem since update to Yosemite, frequent crashes on switch from VAB to Launch under OSX Yosemite

Mac info:

MacBook Pro (Retina, 15-inch, Late 2013)
- 2,6 GHz Intel Core i7

- 16 GB Ram

— NVIDIA GeForce GT 750M 2048 MB
Version: OS X Yosemite 10.10

KSP Version: 0.25

Modded: No

#3 - 11/07/2014 11:26 AM - jbi1031
- File log 1KSP.log added
- File log 2KSP.log added

Same problem. | have noticed the logs have an erroneous file path for the ship saves. At least these files and folders are not in my local files after a
fresh install with no mods. The following logs do contain mods, but it didn't matter when | tried it with them removed.

| enter career. Build simple ship. Name ship. Click save, click launch. Game freezes and never gives crash report.

Mac info:

Macbook Pro (Retina, 15-inch, mid 2012)
-2.7 GHz core i7

-16 gb ram

-3SSD hard drive

-Nvidia GeForce GT 650M 1024MB
Version: OS X 10.10

KSP Version 0.25

Modded: yes

#4 - 11/07/2014 12:07 PM - jbi1031

| have fixed the problem by adding folders Ships/SPH and Ships/VAB to my career file. It seems the new careers do not create this file path.
#5 - 11/15/2014 03:11 PM - trikeboy
| was having no problems With KSP on my Macbook Pro until | made the mistake of updating OSX to 10.10 "Yosemite"

Same sort of crashes as reported above in and out of the VAB. Also get crashes when nearing the ground for landing on various planets (kerbin, Mun,
Duna | have experienced it on all of these)

My machine:
MacBook Pro

Intel Iris Pro 1536 MB

MacBook Pro, Retina, 15-inch, Late 2013
Model Identifier: MacBookPro 11,3
Processor Name: Intel Core i7
Processor Speed: 2.3 GHz

Number of Processors: 1

Total Number of Cores: 4

L2 Cache (per Core): 256 KB

L3 Cache: 6 MB

Memory: 16 GB

Boot ROM Version: MBP112.0138.B11
SSD hard drive

Available: 274.65 GB

Capacity: 499.05 GB

NVIDIA GeForce GT 750M

| will try to post error logs next time | have it happen.

#6 - 11/28/2014 09:43 AM - Squelch
- Category changed from Bug Tracker to 132

#7 - 11/28/2014 09:55 AM - Squelch
- Status changed from New to Confirmed

- % Done changed from 0 to 10

The logs do show that the required folders are indeed missing or inaccessible. While | am unable to confirm this personally, the supporting comments
and logs are enough.
This will be forwarded for attention.

#8 - 11/28/2014 02:11 PM - Squelch
- Status changed from Confirmed to Need More Info

- % Done changed from 10 to 0

It would appear that there may have been an issue with Steam on Mac OS X.

"UPDATE: This client was re-released on Nov 25 for Mac OS X to fix a major issue with game libraries appearing to be empty."
http://store.steampowered.com/news/?feed=steam_client

Could you please confirm that that you have this Steam update, and that it applies the correct path?

#9 - 11/28/2014 02:17 PM - dcw_damon
Squelch wrote:

It would appear that there may have been an issue with Steam on Mac OS X.

"UPDATE: This client was re-released on Nov 25 for Mac OS X to fix a major issue with game libraries appearing to be empty."
http:/store.steampowered.com/news/?feed=steam_client

Could you please confirm that that you have this Steam update, and that it applies the correct path?

| don't have steam. I've downloaded it from the website.

#10 - 11/28/2014 02:40 PM - Squelch
- Severity changed from High to Normal

#11 - 11/28/2014 03:45 PM - Squelch
http://store.steampowered.com/news/?feed=steam_client
http://store.steampowered.com/news/?feed=steam_client

dcw_damon wrote:

| don't have steam. I've downloaded it from the website.

Then it would appear to be two possibly separate issues clouded by similar results and an update to the OS.
From the provided logs the path is certainly incomplete, and relate to a Steam install.

Could you please provide your log?

On OSX, the log can be found as Player.log in /Library/Logs/Unity/Player.log

A full guide to bug reporting can be found here for your information.

#12 - 11/28/2014 04:19 PM - dcw_damon
- File Player.log added

Here is a log when KSP (sort of) crashes.

#13 - 11/28/2014 05:39 PM - Squelch

Thanks for uploading, The end of the log certainly records the crash which is good. It is a different issue and the cause isn't immediately clear.

Could you please elaborate on the steps to reproduce? Are you able to save the vessel before leaving the VAB? Can you load a stock vessel and
launch? The more information you can give us, the easier it will be to identify the problem.

As this confirms there are two issues in play, could jbi1031 please raise a new issue if the Steam problem persists without manual intervention?
Thanks.

#14 - 11/28/2014 05:57 PM - dcw_damon

When i re-install ksp first. So | have a clean install. | went to the VAB to make a vessel. After a few minutes making one (57 parts) | can save it. But
when | go to the launch pad it won't load (Sometimes (1 out of 6)).

A few weeks after this bug report I've updated my OSX to 10.10.1. This fix some issues duo load. But sometimes i got this random crash for no
reason.

For stock vessels it's the same kind of problem.

#15 - 11/29/2014 08:03 AM - Squelch

Could you please clarify that the nature of the crash has changed from always to sometimes since the original report? Is the log you provide from the
most recent crash? The story it tells is different from your last account.

On reflection, it might be better to start a new issue considering we have a mix of two different ones here. We need as much information as possible
and clear steps to reproduce.

Please do read and follow the most excellent guide found here

#16 - 12/03/2014 07:59 PM - Carthesian
- File Player.log added

| have similar symtoms:
After entering the VAB, Hangar, Lounchpad etc. the game freezes, | get the "weel of death" but the music is still playing.
| tried to reinstall, tested a fresh install with new user, deleted the Saved Application States ect. always the same.

Brand new MacBook Pro Retina 15", mid 2014, 2,8 Ghz, 16GB Ram
Yosemite 10.10.1
KSP direct download (no steam)

#17 - 01/05/2015 01:48 PM - Squelch
- Status changed from Need More Info to Closed

- % Done changed from 0 to 100

Carthesian wrote:
| have similar symtoms:

After entering the VAB, Hangar, Lounchpad etc. the game freezes, | get the "weel of death" but the music is still playing.
| tried to reinstall, tested a fresh install with new user, deleted the Saved Application States ect. always the same.
http://forum.kerbalspaceprogram.com/threads/92230-Stock-Support-Bug-Reporting-Guide
http://forum.kerbalspaceprogram.com/threads/92230-Stock-Support-Bug-Reporting-Guide

Brand new MacBook Pro Retina 15", mid 2014, 2,8 Ghz, 16GB Ram

Yosemite 10.10.1
KSP direct download (no steam)

It would appear that KSPAPIE is having problems according to the log provided.

We are unable to support plugins and addons on this tracker, and several of the logs uploaded here would indicate that there are mods present. To
rule out all possible variables and mod interaction, could all reporters please verify the same problems are occurring in a mod free game?

Given that we appear to have a mix of different problems, and that mods cannot be ruled out as a potential cause, | think it prudent that this issue is

closed. Please continue to add new or additional information to existing issues for KSP 0.90 which is the current release at this time.

Files

log 1KSP.log 167 KB 11/07/2014 jbi1031

log 2KSP.log 177 KB 11/07/2014 jbi1031

Player.log 347 KB 11/28/2014 dcw_damon

Player.log 672 KB 12/03/2014 Carthesian
